%set_verify_elf_method skip

%define hplipdir %_datadir/hplip

Name:		hplip-plugin
Version:	3.23.12
Release:	alt1

Summary:	HPLIP Plugin for support some HP printers, scaners and faxes
License:	Distributable
Group:		Publishing

#Url:		http://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/
Url:		https://developers.hp.com/sites/default/files/hplip-%version-plugin.run
Source:		%name-%version.tar.tgz

Packager:	Anton Shevtsov <shevtsiov.anton@gmail.com>

Requires:	hplip = %version
Requires:	cups
Requires:	hplip-recommends
Requires:	%name-data = %EVR

%description
HP Linux Imaging and Printing (HPLIP) Driver Plug-in. This package include
binary so-modules for some models of the HP printers, scaners and faxes.

%package data
Summary:	Common architecture-independed data files for HPLIP plugin
Group:		Publishing
BuildArch:	noarch
Requires:	hplip = %version

%description data
HP Linux Imaging and Printing (HPLIP) Driver Plug-in. This package include
firmware and other common data files for some models of the HP printers,
scaners and faxes.

%prep
%setup
/bin/sh ./hplip-%version-plugin.run --check
/bin/sh ./hplip-%version-plugin.run --tar xpf

%install
chmod 644 *
test "%version" = "$(cat version.txt)"
chmod 755 so-pack.sh hplip-plugin-install
mkdir -pm755 %{buildroot}%hplipdir/data/plugins
mkdir -pm755 %{buildroot}%hplipdir/data/firmware
cp -a license.txt %{buildroot}%hplipdir/data/plugins/
mv -f hp_*.fw.gz %{buildroot}%hplipdir/data/firmware/
mv -f plugin.spec %{buildroot}%hplipdir/
%ifarch x86_64
./so-pack.sh x86_64 %{buildroot}%hplipdir
%endif
%ifarch ix86
./so-pack.sh x86_32 %{buildroot}%hplipdir
%endif
mkdir -pm755 %{buildroot}%_localstatedir/hp
cat > %{buildroot}%_localstatedir/hp/hplip.state <<EOF
[plugin]
installed = 1
eula = 1
version = %version

EOF

%files
%doc license.txt
%dir %hplipdir/fax/plugins
%dir %hplipdir/scan/plugins
%hplipdir/fax/plugins/*.so
%hplipdir/prnt/plugins/*.so
%hplipdir/scan/plugins/*.so

%files data
%dir %hplipdir/data/plugins
%hplipdir/data/plugins/license.txt
%hplipdir/data/firmware/*.fw.gz
%hplipdir/plugin.spec
%_localstatedir/hp/hplip.state

%changelog
* Mon Dec 18 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 3.23.12-alt1
- Rebuild from hplip-3.23.12-plugin.run

* Fri Oct 20 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 3.23.8-alt2
- Rebuild from hplip-3.23.8-plugin.run
- Inspired and based on Leonid Krivoshein scripts.